
Application: gvSIG desktop - gvSIG bugs #3651
Falla al convertir a relativa una ruta en un recurso de samba
07/01/2015 06:08 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.3.0-2404 (rev. org.gvsig.desktop-2.0.107)
Severity: Critical Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

En linux, cuando un proyecto tiene capas que se encuentran en un recurso de samba y se intenta guardar el proyecto falla al intentar
convertir a relativas las rutas del proyecto.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3589: Error saving a pro... Invalid 06/11/2015

Associated revisions
Revision 1249 - 07/01/2015 06:12 PM - Joaquín  del Cerro Murciano

refs #3651, falla el relativice en linux cuando la ruta esta en un recurso de samba

History
#1 - 07/03/2015 05:54 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 07/04/2015 09:22 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2401 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#3 - 07/06/2015 02:49 PM - Joaquín  del Cerro Murciano
- File org.gvsig.tools.lib-3.0.61.jar added

Hola,
la correccion se puede probar en una version de gvSIG 2.1 o 2.2 sustituyendo una libreria. 
La libreria a sustituir se encuentra dentro de la carpeta "lib" de la instalacion de gvSIG. 
El fichero a sustituir lleva incluido el numero de version por lo que para cada version de gvSIG es distinto. Por ejemplo para la 2.1.0 final es:

org.gvsig.tools.lib-3.0.54.jar

Pudiendo variar el "54" si se trata de otra version/build de gvSIG (no confundir con el fichero org.gvsig.tools.lib-3.0.54-test.jar, ese no habria que
tocarlo).

Habria que borrar el fichero 
org.gvsig.tools.lib-3.0.54.jar
y dejar en su lugar el adjunto al ticket 
org.gvsig.tools.lib-3.0.61.jar

#4 - 07/08/2015 02:51 PM - Mario Carrera
- Status changed from Fixed to New
- File gvSIG_relativas.log added

El usuario ha hecho la prueba y le sigue dando el error. 
Adjunto el nuevo log por si hay algo más de información.

#5 - 10/16/2015 12:51 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.3.0-2404 (rev. org.gvsig.desktop-2.0.107)

#6 - 10/22/2015 03:47 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#7 - 10/26/2015 05:52 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Este no lo puedo testear. Lo paso a closed suponiendo que está ok.

#8 - 11/16/2015 09:11 AM - Francisco Díaz Carsí
- Related to gvSIG bugs #3589: Error saving a project on gvSIG 2.1  added

Files
org.gvsig.tools.lib-3.0.61.jar 417 KB 07/06/2015 Joaquín  del Cerro Murciano
gvSIG_relativas.log 355 KB 07/08/2015 Mario Carrera
